TestFs Struct Reference

`#include <fs.test.h>`

## Public Member Functions

Test | directoryIterate ()
Test | directoryIsdir ()
Test | invalidDirectories ()
Test | _mkPath ()
Test | _mkPath2 ()
Test | _mkFilePath ()
Test | _mkdirIfMissing ()
Test | _deleteIfExists ()
Test | _isdir ()
Test | writeFileAtomically ()
Test | timestamp ()

## Member Function Documentation

## _deleteIfExists()

Test TestFs::_deleteIfExists | ( |  | ) |

inline

References assert, and wibble::sys::fs::deleteIfExists().

## _isdir()

Test TestFs::_isdir | ( |  | ) |

inline

References assert, and wibble::sys::fs::isdir().

## _mkdirIfMissing()

Test TestFs::_mkdirIfMissing | ( |  | ) |

inline

References wibble::sys::fs::access(), assert, wibble::sys::fs::mkdirIfMissing(), and wibble::exception::Generic::what().

## _mkFilePath()

Test TestFs::_mkFilePath | ( |  | ) |

inline

References wibble::sys::fs::access(), assert, and wibble::sys::fs::mkFilePath().

## _mkPath()

Test TestFs::_mkPath | ( |  | ) |

inline

References wibble::sys::fs::mkpath().

## _mkPath2()

Test TestFs::_mkPath2 | ( |  | ) |

inline

References wibble::sys::fs::access(), assert, and wibble::sys::fs::mkpath().

## directoryIsdir()

Test TestFs::directoryIsdir | ( |  | ) |

inline

References assert, wibble::sys::fs::Directory::begin(), and wibble::sys::fs::Directory::end().

## directoryIterate()

Test TestFs::directoryIterate | ( |  | ) |

inline

References assert, wibble::sys::fs::Directory::begin(), and wibble::sys::fs::Directory::end().

## invalidDirectories()

Test TestFs::invalidDirectories | ( |  | ) |

inline

References assert, wibble::sys::fs::Directory::begin(), and wibble::sys::fs::Directory::exists().

## timestamp()

Test TestFs::timestamp | ( |  | ) |

inline

References assert, assert_eq, wibble::sys::fs::timestamp(), wibble::sys::fs::unlink(), and wibble::sys::fs::writeFile().

## writeFileAtomically()

Test TestFs::writeFileAtomically | ( |  | ) |

inline

References assert_eq, wibble::sys::fs::readFile(), and wibble::sys::fs::writeFileAtomically().

The documentation for this struct was generated from the following file:

- fs.test.h